LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 07-22-2005, 08:36 AM   #1
gauol
LQ Newbie
 
Registered: Jun 2002
Location: NH
Distribution: Kubuntu
Posts: 24

Rep: Reputation: 15
Oracle EM install on RedHat Enterprise Linux 3


Hello,

I have been attempting to install the Oracle Enterprise Manager on my 10g rac system and keep getting the following error:

The file /etc/ld.so.preload is not available. Please resolve
this problem by referring to the chapter Software Requirements for Red Hat 3.0
in the Quick Install Guide and restart the installer.

I have created this file and then I get the error:

The file /etc/ld.so.preload does not contain /etc/libcwait.so. Please resolve
this problem by referring to the chapter Software Requirements for Red Hat 3.0
in the Quick Install Guide and restart the installer.

My system does not contain this file. I am admitedly new to installing oracle but this seems like something that is linux related.


Thank you all very much in advance
 
Old 07-22-2005, 12:21 PM   #2
strdba
LQ Newbie
 
Registered: Jul 2005
Posts: 3

Rep: Reputation: 0
The ld.so.preload file on my system contains the single line below:

/etc/libcwait.so

and that's it. I also have the /etc/libcwait.so file.
 
Old 07-22-2005, 12:22 PM   #3
strdba
LQ Newbie
 
Registered: Jul 2005
Posts: 3

Rep: Reputation: 0
$#@&%$

I guess it would help if I noticed that the original post was 3 YEARS OLD!!!
 
Old 07-22-2005, 04:25 PM   #4
gauol
LQ Newbie
 
Registered: Jun 2002
Location: NH
Distribution: Kubuntu
Posts: 24

Original Poster
Rep: Reputation: 15
No my post is new. I thank you for help my system contains no /etc/ld.so.preload or /etc/libcwait.so. I know /etc/ld.so.preload is just text file so I created it however /etc/libcwait.so is not text so I can not just create it. So you or anyone can think of something I would appreciate it.

thanks
 
Old 07-22-2005, 06:34 PM   #5
strdba
LQ Newbie
 
Registered: Jul 2005
Posts: 3

Rep: Reputation: 0
You'll need to get access to Oracle's Metalink site. If you do, this URL should work:

https://metalink.oracle.com/metalink...&p_id=269599.1

Basically, you need to download a patch and install it. Note that this ariticle refers to the 32-bit version. For the 64-bit version, see this link:

https://metalink.oracle.com/metalink...&p_id=302208.1

Here is what the first link has to say:

Doc ID: Note:269599.1
Subject: Installing EM 10g Grid Control Fails with Error on Linux RH AS/ES 3.0: /etc/ld.so.preload is not available
Type: PROBLEM
Status: PUBLISHED

The information in this article applies to:
Enterprise Manager Core - Version: 10.1.0.2.0
Linux x86

Errors
The file /etc/ld.so.preload is not available

Symptoms
This error has only been seen on
Linux RedHat AS/ES 3.0.

The following error was captured while running the Oracle Universal Installer (OUI) to install EM 10g Grid Control on Linux RedHat AS/ES 3.0:
"The file /etc/ld.so.preload is not available. Please resolve this problem by referring to the chapter Software Requirements for Red Hat 3.0 in the Quick Install Guide and restart the installer."

Cause
This is due to an "Internal (non-published)" bug:
Bug 3006854: CAN NOT INSTALL ORACLE 9.2.0.1.0 DB ON RHEL3 ALPHA 4

Fix
Download and apply the following patch from Metalink:

Patch::3006854
CAN NOT INSTALL ORACLE 9.2.0.1.0 DB ON RHEL3 ALPHA 4
Product:CORE
Platform:Linux x86

This patch creates the /etc/libcwait.so file and appends the following line to the /etc/ld.so.preload file:
/etc/libcwait.so

Note that this is not specific to 9.2.x. The patch applies to all versions of Oracle including 10g. See the README.txt

Good Luck.

BTW, I was looking at your registration date, not the current date of the post.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Can't Install Redhat Enterprise Linux 4, please help karlt78 Linux - Newbie 3 07-15-2009 06:13 PM
Oracle for Redhat Linux Enterprise 4 ? bangkok Red Hat 3 05-09-2005 08:14 AM
Oracle 9i on Red Hat Linux Enterprise 3 (WS) ptreves Linux - Software 3 08-25-2004 03:02 PM
Oracle 9i on Red Hat Linux Enterprise 3 (WS) ptreves Linux - Distributions 2 08-25-2004 02:18 PM
CAN't INSTALL ORACLE 9.2.01 ON SUSE LINUX ENTERPRISE SERVER 8! grim2 Linux - Software 1 04-29-2004 05:46 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 04:10 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration